/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.triring.emuduino;

/**
 *
 * @author miwa
 */
public class AnalogConfigurationPanel extends ConfigurationPanel {
    /**
     * Creates new form ConfigurationPanel
     */
    public AnalogConfigurationPanel(int PinNo, String PinName, String TypeData, int coordX, int coordY) {
          super(PinNo, PinName, TypeData, coordX, coordY);    
    }

    // Constructor
    public String getConstructor() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = str[0];
        String x = getSpinnerValueX();
        String y = getSpinnerValueY();
        String result = null;
        if (deviceName.equals("Slider") == true) {
            result = String.format("%24s = new %s(%d , \"%s\", %4s, %4s);",  
                    deviceName.toLowerCase() + PinNo,  
                    deviceName, PinNo,
                    str[1] + PinNo, x, y);
        } else if (deviceName.equals("DataReproducer") == true) {
            result = String.format("%24s = new DataReproducer(\"%s\", %4s, %4s);",  
                    "data_reproducer",  
                    deviceName, x, y);
        }
        
        return result;
    }

    
    public String getDeviceName() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = str[0];
        return deviceName;
    }

    public String getDeviceAttribute1() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = "";
        if (str.length > 1) {
           deviceName = str[1];
        }
        return deviceName;
    }

    public String getDeviceAttribute2() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = "";
        if (str.length > 2) {
           deviceName = str[2];
        }
        return deviceName;
    }

    // read function
    public String getAnalogReadFunction() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = str[0];
        if (deviceName.equals("Slider")) {
            return new String("case  " + PinNo + " : value = " + deviceName.toLowerCase() + PinNo + ".getAnalog(); break;");
        } else if (deviceName.equals("DataReproducer")) {
            return new String("case  " + PinNo + " : value = " + deviceName.toLowerCase() + PinNo + ".getData(" + PinNo + "); break;");
        } else {
            return "";
        }
    }

    // write function
    public String getAnalogWriteFunction() {
        String[] str = getTypeComboBox_SelectedItem().split(":");
        String deviceName = str[0];
        if (deviceName.equals("Slider")) {
            return new String("case " + PinNo + " : " + deviceName.toLowerCase() + PinNo + ".setAnalog(value); break;");
        } else {
            return "";
        }
    }
}
