package net.triring.emuduino;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author miwa
 */
public class Speaker extends javax.swing.JFrame {

    javax.swing.ImageIcon SpkImageIcon;
    boolean State = false;
    int No = 0;
    String Name = "none";
    int frequency_hz = 0;

    public int getFrequency() {
        return frequency_hz;
    }

    public void setFrequency(int frequency_hz) {
        this.frequency_hz = frequency_hz;
        frequencyLabel.setText(Integer.toString(frequency_hz));
    }

    /**
     * Creates new form Led
     */
    public Speaker() {
        SpkImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/speaker/piezo_speaker.png"));
        initComponents();
        imageLabel.setIcon(SpkImageIcon); // NOI18N        
        frequencyLabel.setText("0");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" + Name));
        System.out.print(No + ":" + Name);
        pack();
    }

    public Speaker(int no, String name, int x, int y) {
        this.No = no;
        this.Name = name;
        SpkImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/speaker/piezo_speaker.png"));
        initComponents();
        imageLabel.setIcon(SpkImageIcon); // NOI18N        
        frequencyLabel.setText("0");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" + Name));
        System.out.print(No + ":" + Name);
        this.pack();
        this.setLocation(x, y);
        this.setVisible(true);
    }

    public Speaker(int no, String name, java.awt.Image spkImage, int x, int y) {
        this.No = no;
        this.Name = name;
        SpkImageIcon = new javax.swing.ImageIcon(spkImage);
        initComponents();
        imageLabel.setIcon(SpkImageIcon); // NOI18N        
        frequencyLabel.setText("0");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" + Name));
        this.pack();
        this.setLocation(x, y);
        this.setVisible(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        basePanel = new javax.swing.JPanel();
        imageLabel = new javax.swing.JLabel();
        frequencyPanel = new javax.swing.JPanel();
        frequencyLabel = new javax.swing.JLabel();
        unitLabel = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        basePanel.setLayout(new java.awt.BorderLayout());

        imageLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        imageLabel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/speaker/piezo_speaker.png"))); // NOI18N
        basePanel.add(imageLabel, java.awt.BorderLayout.CENTER);

        getContentPane().add(basePanel, java.awt.BorderLayout.PAGE_START);

        frequencyLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        frequencyLabel.setText("0");
        frequencyPanel.add(frequencyLabel);

        unitLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        unitLabel.setText("Hz");
        frequencyPanel.add(unitLabel);

        getContentPane().add(frequencyPanel, java.awt.BorderLayout.PAGE_END);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Speaker.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Speaker.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Speaker.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Speaker.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Speaker().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel basePanel;
    private javax.swing.JLabel frequencyLabel;
    private javax.swing.JPanel frequencyPanel;
    private javax.swing.JLabel imageLabel;
    private javax.swing.JLabel unitLabel;
    // End of variables declaration//GEN-END:variables
}

