/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.triring.emuduino;

/**
 *
 * @author miwa
 */
public class ConfigurationPanel extends javax.swing.JPanel {
    int PinNo = 0;

    public int getPinNo() {
        return PinNo;
    }

    // クラスを使用するかどうかのチェック
    public boolean isSelected() {
        return isUseCheckBox.isSelected();
    }
    
    // 先頭部のPin番号割付
    public String getPinAllocation() {
        return String.format("int %10s = %3d;  // %s", PinNameTextField.getText(), PinNo, getTypeComboBox_SelectedItem());
    } 
    
    public String getTypeComboBox_SelectedItem() {
         return TypeComboBox.getSelectedItem().toString();
    }
    public String getSpinnerValueX() {
         return xSpinner.getValue().toString();
    }

    public String getSpinnerValueY() {
         return ySpinner.getValue().toString();
    }

    // Constructor
    public String getConstructor() {
        String[] str = TypeComboBox.getSelectedItem().toString().split(":");
        String deviceName = str[0];
        String x = xSpinner.getValue().toString().trim();
        String y = ySpinner.getValue().toString().trim();
        return new String(deviceName.toLowerCase() + PinNo + " = new " + deviceName + "(" + PinNo + ", \"" + deviceName.toLowerCase() + PinNo +"\", " + x + ", " + y + ");");
     // return String.format("%24s = new %s(%d , \"%s\", %4s, %4s);",  deviceName.toLowerCase() + PinNo,  deviceName,　PinNo, deviceName.toLowerCase() + PinNo, x, y);
    }

    // クラス変数の宣言
    public String getVariablesDeclaration() {
        String[] str = TypeComboBox.getSelectedItem().toString().split(":");
        String deviceName = str[0];
        return String.format("private  net.triring.emuduino.%s %s;", deviceName, deviceName.toLowerCase() + PinNo);
    }

    public void setPinNo(int PinNo) {
        this.PinNo = PinNo;
    }

    public String getPinName() {
        return PinNameTextField.getText();
    }

//  public void setPinName(String PinName) {
//      this.PinName = PinName;
//  }

    public String getTypeData() {
        return TypeData;
    }

    
    
    public void setTypeData(String TypeData) {
        this.TypeData = TypeData;
    }

    public int getCoordX() {
        return coordX;
    }

    public void setCoordX(int coordX) {
        this.coordX = coordX;
    }

    public int getCoordY() {
        return coordY;
    }

    public void setCoordY(int coordY) {
        this.coordY = coordY;
    }
    String Name;
    String PinName;
    String TypeData;
    String TypeList[];
    int coordX = 0;
    int coordY = 0;

    /**
     * Creates new form ConfigurationPanel
     */
    public ConfigurationPanel(int PinNo, String PinName, String TypeData, int coordX, int coordY) {
        this.PinNo = PinNo;
        this.Name = Name;
        this.PinName = PinName;
        this.TypeData = TypeData;
        initComponents();
        isUseCheckBox.setText(Name);
        PinNameTextField.setText(PinName);
        TypeList = TypeData.split(",");
        this.coordX = coordX; 
        this.coordY = coordY;
        for (int i = 0; i < TypeList.length; i++) {
            TypeComboBox.addItem((Object)TypeList[i].trim()); 
        }
        xSpinner.setValue(new Integer(coordX));
        ySpinner.setValue(new Integer(coordY));
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        isUseCheckBox = new javax.swing.JCheckBox();
        itemPanel = new javax.swing.JPanel();
        PinNameTextField = new javax.swing.JTextField();
        TypeComboBox = new javax.swing.JComboBox();
        coordPanel = new javax.swing.JPanel();
        xPanel = new javax.swing.JPanel();
        xLabel = new javax.swing.JLabel();
        xSpinner = new javax.swing.JSpinner();
        yLabel = new javax.swing.JLabel();
        ySpinner = new javax.swing.JSpinner();

        setLayout(new java.awt.BorderLayout());
        add(isUseCheckBox, java.awt.BorderLayout.WEST);

        PinNameTextField.setText("PinName");
        itemPanel.add(PinNameTextField);
        itemPanel.add(TypeComboBox);

        add(itemPanel, java.awt.BorderLayout.CENTER);

        coordPanel.setLayout(new java.awt.GridLayout(1, 0));

        xLabel.setText("X");
        xPanel.add(xLabel);

        xSpinner.setModel(new javax.swing.SpinnerNumberModel(0, 0, 2048, 16));
        xPanel.add(xSpinner);

        yLabel.setText("Y");
        xPanel.add(yLabel);

        ySpinner.setModel(new javax.swing.SpinnerNumberModel(0, 0, 2048, 8));
        xPanel.add(ySpinner);

        coordPanel.add(xPanel);

        add(coordPanel, java.awt.BorderLayout.EAST);
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField PinNameTextField;
    private javax.swing.JComboBox TypeComboBox;
    private javax.swing.JPanel coordPanel;
    private javax.swing.JCheckBox isUseCheckBox;
    private javax.swing.JPanel itemPanel;
    private javax.swing.JLabel xLabel;
    private javax.swing.JPanel xPanel;
    private javax.swing.JSpinner xSpinner;
    private javax.swing.JLabel yLabel;
    private javax.swing.JSpinner ySpinner;
    // End of variables declaration//GEN-END:variables
}
