/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.triring.emuduino;
import com.maerics.template.*;
import java.io.IOException;


/**
 *
 * @author miwa
 */
public class EmuduinoDesigner extends javax.swing.JFrame {
    DigitalConfigurationPanel[] digitalConfig = new DigitalConfigurationPanel[10];
    DigitalConfigurationPanel   speakerConfig;
    DigitalConfigurationPanel   arduinoConfig;
    AnalogConfigurationPanel[]  analogConfig  = new AnalogConfigurationPanel[16];
    SerialConfigurationPanel[]  serialConfig  = new SerialConfigurationPanel[4];


    /**
     * Creates new form EmuduinoDesigner
     */
    public EmuduinoDesigner() {
        initComponents();
        // codeEditorに等幅フォントを設定する。
        // この設定をしないと、文字の縦横がそろわず見苦しい。
        java.awt.Font font     = codeEditorPanel.getFont();
        int fontsize = font.getSize();
        codeEditorPanel.setFont(new java.awt.Font("Monospaced", java.awt.Font.PLAIN, fontsize ));
        digitalConfig[0] = new DigitalConfigurationPanel( 2, "D2",  "Switch:Push, Switch:Toggle, Led:Red, Led:Orange, Led:Yellow, Led:Green, Led:Cyan, Led:Blue, Led:Magenta, Led:Pink, Led:White" ,    0, 0 );
        digitalConfig[1] = new DigitalConfigurationPanel( 3, "D3",  "Switch:Push, Switch:Toggle, Led:Red, Led:Orange, Led:Yellow, Led:Green, Led:Cyan, Led:Blue, Led:Magenta, Led:Pink, Led:White" ,  120, 0 );
        digitalConfig[2] = new DigitalConfigurationPanel( 4, "D4",  "Switch:Push, Switch:Toggle, Led:Red, Led:Orange, Led:Yellow, Led:Green, Led:Cyan, Led:Blue, Led:Magenta, Led:Pink, Led:White" ,  240, 0 );
        digitalConfig[3] = new DigitalConfigurationPanel( 5, "D5",  "Switch:Push, Switch:Toggle, Led:Red, Led:Orange, Led:Yellow, Led:Green, Led:Cyan, Led:Blue, Led:Magenta, Led:Pink, Led:White" ,  360, 0 );
        digitalConfig[4] = new DigitalConfigurationPanel( 6, "D6",  "Switch:Push, Switch:Toggle, Led:Red, Led:Orange, Led:Yellow, Led:Green, Led:Cyan, Led:Blue, Led:Magenta, Led:Pink, Led:White" ,  480, 0 );
        digitalConfig[5] = new DigitalConfigurationPanel( 7, "D7",  "Switch:Push, Switch:Toggle, Led:Red, Led:Orange, Led:Yellow, Led:Green, Led:Cyan, Led:Blue, Led:Magenta, Led:Pink, Led:White" ,  600, 0 );
        digitalConfig[6] = new DigitalConfigurationPanel( 8, "D8",  "Switch:Push, Switch:Toggle, Led:Red, Led:Orange, Led:Yellow, Led:Green, Led:Cyan, Led:Blue, Led:Magenta, Led:Pink, Led:White" ,  720, 0 );
        digitalConfig[7] = new DigitalConfigurationPanel( 9, "D9",  "Switch:Push, Switch:Toggle, Led:Red, Led:Orange, Led:Yellow, Led:Green, Led:Cyan, Led:Blue, Led:Magenta, Led:Pink, Led:White" ,  840, 0 );
        digitalConfig[8] = new DigitalConfigurationPanel(11, "D11", "Switch:Push, Switch:Toggle, Led:Red, Led:Orange, Led:Yellow, Led:Green, Led:Cyan, Led:Blue, Led:Magenta, Led:Pink, Led:White" ,  960, 0 );
        digitalConfig[9] = new DigitalConfigurationPanel(12, "D12", "Switch:Push, Switch:Toggle, Led:Red, Led:Orange, Led:Yellow, Led:Green, Led:Cyan, Led:Blue, Led:Magenta, Led:Pink, Led:White" , 1080, 0 );
        speakerConfig    = new DigitalConfigurationPanel(10, "D10", "Speaker:   " , 384, 240 );
        arduinoConfig    = new DigitalConfigurationPanel(13, "D13", "Arduino:   " ,   0, 240 );
        digitalPanel.add(digitalConfig[0]);
        digitalPanel.add(digitalConfig[1]);
        digitalPanel.add(digitalConfig[2]);
        digitalPanel.add(digitalConfig[3]);
        digitalPanel.add(digitalConfig[4]);
        digitalPanel.add(digitalConfig[5]);
        digitalPanel.add(digitalConfig[6]);
        digitalPanel.add(digitalConfig[7]);
        digitalPanel.add(speakerConfig    );
        digitalPanel.add(digitalConfig[8]);
        digitalPanel.add(digitalConfig[9]);
        digitalPanel.add(arduinoConfig   );
       
        analogConfig[ 0] = new AnalogConfigurationPanel( 0, "A0",  "Slider:INPUT, Slider:OUTPUT"  ,    0, 240 );
        analogConfig[ 1] = new AnalogConfigurationPanel( 1, "A1",  "Slider:INPUT, Slider:OUTPUT"  ,  120, 240 );
        analogConfig[ 2] = new AnalogConfigurationPanel( 2, "A2",  "Slider:INPUT, Slider:OUTPUT"  ,  240, 240 );
        analogConfig[ 3] = new AnalogConfigurationPanel( 3, "A3",  "Slider:INPUT, Slider:OUTPUT"  ,  360, 240 );
        analogConfig[ 4] = new AnalogConfigurationPanel( 4, "A4",  "Slider:INPUT, Slider:OUTPUT"  ,  480, 240 );
        analogConfig[ 5] = new AnalogConfigurationPanel( 5, "A5",  "Slider:INPUT, Slider:OUTPUT"  ,  600, 240 );
        analogConfig[ 6] = new AnalogConfigurationPanel( 6, "A6",  "Slider:INPUT, Slider:OUTPUT"  ,  720, 240 );
        analogConfig[ 7] = new AnalogConfigurationPanel( 7, "A7",  "Slider:INPUT, Slider:OUTPUT"  ,  840, 240 );
        analogConfig[ 8] = new AnalogConfigurationPanel( 8, "A8",  "Slider:INPUT, Slider:OUTPUT"  ,  960, 240 );
        analogConfig[ 9] = new AnalogConfigurationPanel( 9, "A9",  "Slider:INPUT, Slider:OUTPUT"  , 1080, 240 );
        analogConfig[10] = new AnalogConfigurationPanel(10, "A10", "DataReproducer" ,                640, 480 );
        analogConfig[11] = new AnalogConfigurationPanel(11, "A11", "DataReproducer" ,                704, 480 );
        analogConfig[12] = new AnalogConfigurationPanel(12, "A12", "DataReproducer" ,                768, 480 );
        analogConfig[13] = new AnalogConfigurationPanel(13, "A13", "DataReproducer" ,                832, 480 );
        analogConfig[14] = new AnalogConfigurationPanel(14, "A14", "DataReproducer" ,                896, 480 );
        analogConfig[15] = new AnalogConfigurationPanel(15, "A15", "DataReproducer" ,                960, 480 );
        analogPanel.add(analogConfig[ 0]);
        analogPanel.add(analogConfig[ 1]);
        analogPanel.add(analogConfig[ 2]);
        analogPanel.add(analogConfig[ 3]);
        analogPanel.add(analogConfig[ 4]);
        analogPanel.add(analogConfig[ 5]);
        analogPanel.add(analogConfig[ 6]);
        analogPanel.add(analogConfig[ 7]);
        analogPanel.add(analogConfig[ 8]);
        analogPanel.add(analogConfig[ 9]);
        analogPanel.add(analogConfig[10]);
        analogPanel.add(analogConfig[11]);
        analogPanel.add(analogConfig[12]);
        analogPanel.add(analogConfig[13]);
        analogPanel.add(analogConfig[14]);
        analogPanel.add(analogConfig[15]);


        serialConfig[0]  = new SerialConfigurationPanel( 0,  1, "S",  "Serial", "0" ,            576, 384 );
        serialConfig[1]  = new SerialConfigurationPanel(19, 18, "S",  "SevenSegmentDisplay,NixieTube,Lcd0802,Lcd1602,Lcd1608,Lcd2004,Duke,Droid", "0" ,    0, 384 );
        serialConfig[2]  = new SerialConfigurationPanel(17, 16, "S",  "SevenSegmentDisplay,NixieTube,Lcd0802,Lcd1602,Lcd1608,Lcd2004,Duke,Droid", "0" ,  640, 512 );
        serialConfig[3]  = new SerialConfigurationPanel(15, 14, "S",  "SevenSegmentDisplay,NixieTube,Lcd0802,Lcd1602,Lcd1608,Lcd2004,Duke,Droid", "0" ,  704, 640 );
        serialPanel.add(serialConfig[0]);
        serialPanel.add(serialConfig[1]);
        serialPanel.add(serialConfig[2]);
        serialPanel.add(serialConfig[3]);
         
        pack();        
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        basePanel = new javax.swing.JPanel();
        buttonPanel = new javax.swing.JPanel();
        ProgramNameLabel = new javax.swing.JLabel();
        ProgramNameTextField = new javax.swing.JTextField();
        CodeGenerationButton = new javax.swing.JButton();
        centerSplitPane = new javax.swing.JSplitPane();
        mainScrollPanel = new javax.swing.JScrollPane();
        ConfigurationListPanel = new javax.swing.JPanel();
        digitalPanel = new javax.swing.JPanel();
        analogPanel = new javax.swing.JPanel();
        serialPanel = new javax.swing.JPanel();
        codeScrollPaneｌ = new javax.swing.JScrollPane();
        codeEditorPanel = new javax.swing.JEditorPane();
        menuBar = new javax.swing.JMenuBar();
        fileMenu = new javax.swing.JMenu();
        openMenuItem = new javax.swing.JMenuItem();
        saveMenuItem = new javax.swing.JMenuItem();
        saveAsMenuItem = new javax.swing.JMenuItem();
        exitMenuItem = new javax.swing.JMenuItem();
        editMenu = new javax.swing.JMenu();
        cutMenuItem = new javax.swing.JMenuItem();
        copyMenuItem = new javax.swing.JMenuItem();
        pasteMenuItem = new javax.swing.JMenuItem();
        deleteMenuItem = new javax.swing.JMenuItem();
        helpMenu = new javax.swing.JMenu();
        contentsMenuItem = new javax.swing.JMenuItem();
        aboutMenuItem = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Emuduino Designer");
        setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        setName("main_frame"); // NOI18N

        basePanel.setLayout(new java.awt.BorderLayout());

        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("resources/EmuduinoDesigner"); // NOI18N
        ProgramNameLabel.setText(bundle.getString("ProgramNameLabel")); // NOI18N
        buttonPanel.add(ProgramNameLabel);

        ProgramNameTextField.setColumns(16);
        ProgramNameTextField.setText("Sample");
        buttonPanel.add(ProgramNameTextField);

        CodeGenerationButton.setText(bundle.getString("CodeGeneration")); // NOI18N
        CodeGenerationButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CodeGenerationButtonActionPerformed(evt);
            }
        });
        buttonPanel.add(CodeGenerationButton);

        basePanel.add(buttonPanel, java.awt.BorderLayout.PAGE_START);

        ConfigurationListPanel.setLayout(new java.awt.BorderLayout());

        digitalPanel.setBorder(javax.swing.BorderFactory.createTitledBorder("Digital"));
        digitalPanel.setLayout(new java.awt.GridLayout(12, 1));
        ConfigurationListPanel.add(digitalPanel, java.awt.BorderLayout.NORTH);

        analogPanel.setBorder(javax.swing.BorderFactory.createTitledBorder("Analog"));
        analogPanel.setLayout(new java.awt.GridLayout(16, 1));
        ConfigurationListPanel.add(analogPanel, java.awt.BorderLayout.CENTER);

        serialPanel.setBorder(javax.swing.BorderFactory.createTitledBorder("Serial"));
        serialPanel.setLayout(new java.awt.GridLayout(4, 1));
        ConfigurationListPanel.add(serialPanel, java.awt.BorderLayout.SOUTH);

        mainScrollPanel.setViewportView(ConfigurationListPanel);

        centerSplitPane.setLeftComponent(mainScrollPanel);

        codeScrollPaneｌ.setViewportView(codeEditorPanel);

        centerSplitPane.setRightComponent(codeScrollPaneｌ);

        basePanel.add(centerSplitPane, java.awt.BorderLayout.CENTER);

        getContentPane().add(basePanel, java.awt.BorderLayout.CENTER);

        fileMenu.setMnemonic('f');
        fileMenu.setText("File");

        openMenuItem.setMnemonic('o');
        openMenuItem.setText("Open");
        fileMenu.add(openMenuItem);

        saveMenuItem.setMnemonic('s');
        saveMenuItem.setText("Save");
        fileMenu.add(saveMenuItem);

        saveAsMenuItem.setMnemonic('a');
        saveAsMenuItem.setText("Save As ...");
        saveAsMenuItem.setDisplayedMnemonicIndex(5);
        fileMenu.add(saveAsMenuItem);

        exitMenuItem.setMnemonic('x');
        exitMenuItem.setText("Exit");
        exitMenuItem.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                exitMenuItemActionPerformed(evt);
            }
        });
        fileMenu.add(exitMenuItem);

        menuBar.add(fileMenu);

        editMenu.setMnemonic('e');
        editMenu.setText("Edit");

        cutMenuItem.setMnemonic('t');
        cutMenuItem.setText("Cut");
        editMenu.add(cutMenuItem);

        copyMenuItem.setMnemonic('y');
        copyMenuItem.setText("Copy");
        editMenu.add(copyMenuItem);

        pasteMenuItem.setMnemonic('p');
        pasteMenuItem.setText("Paste");
        editMenu.add(pasteMenuItem);

        deleteMenuItem.setMnemonic('d');
        deleteMenuItem.setText("Delete");
        editMenu.add(deleteMenuItem);

        menuBar.add(editMenu);

        helpMenu.setMnemonic('h');
        helpMenu.setText("Help");

        contentsMenuItem.setMnemonic('c');
        contentsMenuItem.setText("Contents");
        helpMenu.add(contentsMenuItem);

        aboutMenuItem.setMnemonic('a');
        aboutMenuItem.setText("About");
        helpMenu.add(aboutMenuItem);

        menuBar.add(helpMenu);

        setJMenuBar(menuBar);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void exitMenuItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_exitMenuItemActionPerformed
        System.exit(0);
    }//GEN-LAST:event_exitMenuItemActionPerformed

    class PlainTmpl {
        com.maerics.template.Template template = null;

        public PlainTmpl(String tmpl_filename) {
            try {
                template = new com.maerics.template.Template(tmpl_filename, true);
            } catch (com.maerics.template.TemplateException te) {
                System.out.println(te.toString());
            } catch (java.io.FileNotFoundException fnfe) {
                System.out.println(fnfe.toString());
            } catch (java.io.IOException ioe) {
                System.out.println(ioe.toString());
            }
        }

        public void set(String key, String value) {
            template.set(key, value);
        }

        public String toString() {
            return template.output();
        }
    }

    class LoopTmpl {
        com.maerics.template.Template template = null;
        java.util.Vector<java.util.Hashtable> list = null;
        
        public LoopTmpl(String tmpl_filename) {
            try {
                template = new com.maerics.template.Template(tmpl_filename, true);
            } catch (com.maerics.template.TemplateException te) {
                System.out.println(te.toString());
            } catch (java.io.FileNotFoundException fnfe) {
                System.out.println(fnfe.toString());
            } catch (java.io.IOException ioe) {
                System.out.println(ioe.toString());
            }
            list = new java.util.Vector<java.util.Hashtable>();
        }

        public void set(String key, String value) {
            template.set(key, value);
        }

        public void setItem1(String key, String value) {
            java.util.Hashtable<String, String> item = new java.util.Hashtable<String, String>();
            item.put(key, value);
            list.add(item);
        }
        
        public void setItem2(String key1, String value1, String key2, String value2) {
            java.util.Hashtable<String, String> item = new java.util.Hashtable<String, String>();
            item.put(key1, value1);
            item.put(key2, value2);
            list.add(item);
        }

        public void setItem3(String key1, String value1, String key2, String value2, String key3, String value3) {
            java.util.Hashtable<String, String> item = new java.util.Hashtable<String, String>();
            item.put(key1, value1);
            item.put(key2, value2);
            item.put(key3, value3);
            list.add(item);
        }

        public void setList(String list_name) {
             template.set(list_name, list);
        }
        
        public int getListSize() {
            return list.size();
        }

        public String toString() {
            return template.output();
        }
    }

    private void CodeGenerationButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CodeGenerationButtonActionPerformed
        java.lang.StringBuffer sb = new java.lang.StringBuffer();
        // ヘッダ部用のテンプレートを準備
        PlainTmpl Header_template = null;
        LoopTmpl  PinAllocation_template = null;
        LoopTmpl  SetUp_template = null;
        LoopTmpl  DigitalReadFunction_template = null;
        LoopTmpl  DigitalWriteFunction_template = null;
        LoopTmpl  AnalogReadFunction_template = null;
        LoopTmpl  AnalogWriteFunction_template = null;
        PlainTmpl SpeakerFunction_template = null;

        LoopTmpl  SerialFunction_Nixie_template = null;
        LoopTmpl  SerialFunction_7seg_template = null;

        LoopTmpl  Constructor_template = null;
        LoopTmpl  Variables_template = null;

        Header_template = new PlainTmpl("template/Header.tmpl");

     // ヘッダ部用のテンプレートに情報を書き込む。
        Header_template.set("program_name", ProgramNameTextField.getText());
        java.util.Calendar calendar = java.util.Calendar.getInstance();
        calendar.setTime(new java.util.Date());       
        Header_template.set("date", calendar.getTime().toString());
        System.out.print(Header_template.toString());
        sb.append(Header_template.toString());
        
     // ピン配置の定義用のテンプレートを準備
        PinAllocation_template = new LoopTmpl("template/PinAllocation.tmpl");

        for (int i = 0; i < digitalConfig.length; i++) {
            if (true == digitalConfig[i].isSelected()) {
                PinAllocation_template.setItem1("pin_allocation", digitalConfig[i].getPinAllocation());
            }
        }

            if (true == speakerConfig.isSelected()) {
               PinAllocation_template.setItem1("pin_allocation", speakerConfig.getPinAllocation());
            }

            if (true == arduinoConfig.isSelected()) {
               PinAllocation_template.setItem1("pin_allocation", arduinoConfig.getPinAllocation());
            }
        
        for (int i = 0; i < analogConfig.length; i++) {
            if (true == analogConfig[i].isSelected()) {
                PinAllocation_template.setItem1("pin_allocation", analogConfig[i].getPinAllocation());
            }
        }

        for (int i = 0; i < serialConfig.length; i++) {
            if (true == serialConfig[i].isSelected()) {
                PinAllocation_template.setItem1("pin_allocation", serialConfig[i].getRX_PinAllocation());
                PinAllocation_template.setItem1("pin_allocation", serialConfig[i].getTX_PinAllocation());
            }
        }
        
     // ピン配置の定義を出力する。
        if (0 != PinAllocation_template.getListSize()) {
        PinAllocation_template.setList("PinList");
        System.out.print(PinAllocation_template.toString());
        sb.append(PinAllocation_template.toString());
        }

       SetUp_template = new LoopTmpl("template/SetUp.tmpl");
        
        for (int i = 0; i < digitalConfig.length; i++) {
            if (true == digitalConfig[i].isSelected()) {
                String deviceName = digitalConfig[i].getDeviceName();
                String inout = "";
                if (deviceName.equals("Switch")) {
                    inout = "INPUT";
                } else if (deviceName.equals("Led")) {
                    inout = "OUTPUT";
                } else if (deviceName.equals("Speaker")) {
                    inout = "OUTPUT";
                } else if (deviceName.equals("Led")) {
                    inout = "OUTPUT";
                }
                String line = String.format("  pinMode(%s, %6s);  // %s",
                                                        digitalConfig[i].getPinName(),
                                                            inout,
                                                                     digitalConfig[i].getTypeComboBox_SelectedItem());
                SetUp_template.setItem1("pin_mode", line);
            }
        }

            if (true == speakerConfig.isSelected()) {
                String deviceName = speakerConfig.getDeviceName();
                String inout = "";
                if (deviceName.equals("Speaker")) {
                    inout = "OUTPUT";
                }
                String line = String.format("  pinMode(%s, %6s);  // %s",
                                                        speakerConfig.getPinName(),
                                                            inout,
                                                                     speakerConfig.getTypeComboBox_SelectedItem());
                SetUp_template.setItem1("pin_mode", line);
            }
            if (true == arduinoConfig.isSelected()) {
                String deviceName = arduinoConfig.getDeviceName();
                String inout = "";
                if (deviceName.equals("Arduino")) {
                    inout = "OUTPUT";
                }
                String line = String.format("  pinMode(%s, %6s);  // %s",
                                                        arduinoConfig.getPinName(),
                                                            inout,
                                                                     arduinoConfig.getTypeComboBox_SelectedItem());
                SetUp_template.setItem1("pin_mode", line);
            }
            
     // setup()内でピンの入出力を定義する。
     // シリアル系デバイスしか使わない場合は、PinModeの定義はないので、サイズチェックは行わない。
     // if (0 != SetUp_template.getListSize()) {
           SetUp_template.setList("PinModeList");
           System.out.print(SetUp_template.toString());
           sb.append(SetUp_template.toString());
     // }

        
        DigitalReadFunction_template = new LoopTmpl("template/DigitalReadFunction.tmpl");
        
        for (int i = 0; i < digitalConfig.length; i++) {
            if (true == digitalConfig[i].isSelected()) {
                String deviceName = digitalConfig[i].getDeviceName();
                if (deviceName.equals("Switch")) {
                    DigitalReadFunction_template.setItem2("name", deviceName.toLowerCase(),
                                                          "number", new Integer(digitalConfig[i].getPinNo()).toString());
                }  
            }
        }
        
        // デジタル読み込み関数の定義
        if (0 != DigitalReadFunction_template.getListSize()) {
            DigitalReadFunction_template.setList("CaseList");
            System.out.print(DigitalReadFunction_template.toString());
            sb.append(DigitalReadFunction_template.toString());
        }

        DigitalWriteFunction_template = new LoopTmpl("template/DigitalWriteFunction.tmpl");
        for (int i = 0; i < digitalConfig.length; i++) {
            if (true == digitalConfig[i].isSelected()) {
                String deviceName = digitalConfig[i].getDeviceName();

                if (deviceName.equals("Led")) {
                    DigitalWriteFunction_template.setItem2("name", deviceName.toLowerCase(),
                                                           "number", new Integer(digitalConfig[i].getPinNo()).toString());
                } else if (deviceName.equals("Arduino")) {
                    DigitalWriteFunction_template.setItem2("name", deviceName.toLowerCase(),
                                                           "number", new Integer(digitalConfig[i].getPinNo()).toString());
                }  
            }
        }
            if (true == arduinoConfig.isSelected()) {
                String deviceName = arduinoConfig.getDeviceName();
                if (deviceName.equals("Arduino")) {
                    DigitalWriteFunction_template.setItem2("name", deviceName.toLowerCase(),
                                                           "number", new Integer(arduinoConfig.getPinNo()).toString());
                }
            }
        
        // デジタル書き込み関数の定義
        if (0 != DigitalWriteFunction_template.getListSize()) {
            DigitalWriteFunction_template.setList("CaseList");
            System.out.print(DigitalWriteFunction_template.toString());
            sb.append(DigitalWriteFunction_template.toString());
        }
        
        AnalogWriteFunction_template = new LoopTmpl("template/AnalogWriteFunction.tmpl");
        for (int i = 0; i < 10; i++) {
            if (true == analogConfig[i].isSelected()) {
                String deviceName       = analogConfig[i].getDeviceName();
                String deviceAttribute1 = analogConfig[i].getDeviceAttribute1();
            //  System.out.println("===================" + deviceName +  ":" + deviceAttribute1);
                if (deviceName.equals("Slider")) {
                    if (deviceAttribute1.equals("OUTPUT")) {
                        AnalogWriteFunction_template.setItem2("name", deviceName.toLowerCase(),
                                                              "number", new Integer(analogConfig[i].getPinNo()).toString());
                    }
                }
            }
        }

        // アナログ書き込み関数の定義
        if (0 != AnalogWriteFunction_template.getListSize()) {
            AnalogWriteFunction_template.setList("CaseList");
            System.out.print(AnalogWriteFunction_template.toString());
            sb.append(AnalogWriteFunction_template.toString());
        }


        AnalogReadFunction_template = new LoopTmpl("template/AnalogReadFunction.tmpl");

        for (int i = 0; i <  analogConfig.length; i++) {
            if (true == analogConfig[i].isSelected()) {
                String deviceName       = analogConfig[i].getDeviceName();
                String deviceAttribute1 = analogConfig[i].getDeviceAttribute1();               
                if (deviceName.equals("Slider")) {
                    if (deviceAttribute1.equals("INPUT")) {
                        String line =  String.format("%2d : value = %s%d.getValue();",
                                analogConfig[i].getPinNo(),
                                deviceName.toLowerCase(),
                                analogConfig[i].getPinNo());
                        AnalogReadFunction_template.setItem1("case_statement", line);
                    }
                } else if (deviceName.equals("DataReproducer")) {                    
                        String line =  String.format("%2d : value = data_reproducer.getValue(%2d);",
                                analogConfig[i].getPinNo(),
                                analogConfig[i].getPinNo() - 10);
                        AnalogReadFunction_template.setItem1("case_statement", line);
                }
            }
        }

        // アナログ読み込み関数の定義
        if (0 != AnalogReadFunction_template.getListSize()) {
            AnalogReadFunction_template.setList("CaseList");
            System.out.print(AnalogReadFunction_template.toString());
            sb.append(AnalogReadFunction_template.toString());
        }

     // スピーカー関連の関数群の定義
     // ただし、スピーカー使用にチェックが入っていない場合は、生成しない。
        SpeakerFunction_template = new PlainTmpl("template/SpeakerFunction.tmpl");
        SpeakerFunction_template.set("pin_num", String.format("%d", speakerConfig.getPinNo()));
        if (true == speakerConfig.isSelected()) {
            System.out.print(SpeakerFunction_template.toString());
            sb.append(SpeakerFunction_template.toString());
        }

        // シリアル機器用の関数定義
        // 現在のところ、7segLEDだけが該当する。
        // ただし、使用するにチェックが入っていない場合は、生成しない。   
        // `シリアル機器のリストから、関数定義の必要なモジュールを探す。
        for (int i = 0; i < serialConfig.length; i++) {
            if (true == serialConfig[i].isSelected()) {
                String deviceName = serialConfig[i].getDeviceName();
                if (deviceName.equals("SevenSegmentDisplay")) {
                    SerialFunction_7seg_template = new LoopTmpl("template/Disp7SEG.tmpl");
                    String option = serialConfig[i].getOption();
                    int column = 1;
                    int row    = 1;
                    String[] opt = option.split(",");
                    switch (opt.length) {
                        case 0:
                        case 1:
                            column = Integer.parseInt(opt[0].trim());
                            row = 1;
                            break;
                        case 2:
                            column = Integer.parseInt(opt[0].trim());
                            row = Integer.parseInt(opt[1].trim());
                            break;
                    }
                    int n = column * row;
                    SerialFunction_7seg_template.set("function_id", new Integer(i).toString());
                    SerialFunction_7seg_template.set("digit_number", new Integer(n - 1).toString());
                    for (int j = 0; j < n; j++) {
                        SerialFunction_7seg_template.setItem2(
                                "id", new Integer(i).toString(),
                                "num", new Integer(j).toString());
                    }
                    //  シリアル機器用の関数定義の生成
                    if (0 != SerialFunction_7seg_template.getListSize()) {
                        SerialFunction_7seg_template.setList("CaseList");
                        System.out.print(SerialFunction_7seg_template.toString());
                        sb.append(SerialFunction_7seg_template.toString());
                    }
                } else if (deviceName.equals("NixieTube")) {
                    SerialFunction_Nixie_template = new LoopTmpl("template/DispNixie.tmpl");
                    String option = serialConfig[i].getOption();
                    int column = 1;
                    int row    = 1;
                    String[] opt = option.split(",");
                    switch (opt.length) {
                        case 0:
                        case 1:
                            column = Integer.parseInt(opt[0].trim());
                            row = 1;
                            break;
                        case 2:
                            column = Integer.parseInt(opt[0].trim());
                            row = Integer.parseInt(opt[1].trim());
                            break;
                    }
                    int n = column * row;
                    SerialFunction_Nixie_template.set("function_id", new Integer(i).toString());
                    SerialFunction_Nixie_template.set("digit_number", new Integer(n - 1).toString());
                    for (int j = 0; j < n; j++) {
                        SerialFunction_Nixie_template.setItem2(
                                "id", new Integer(i).toString(),
                                "num", new Integer(j).toString());
                    }
                    //  シリアル機器用の関数定義の生成
                    if (0 != SerialFunction_Nixie_template.getListSize()) {
                        SerialFunction_Nixie_template.setList("CaseList");
                        System.out.print(SerialFunction_Nixie_template.toString());
                        sb.append(SerialFunction_Nixie_template.toString());
                    }
                }
            }
        }

        // コンストラクタの定義
        Constructor_template = new LoopTmpl("template/initComponents.tmpl");
        for (int i = 0; i < digitalConfig.length; i++) {
            if (true == digitalConfig[i].isSelected()) {
                Constructor_template.setItem1("Constructor", digitalConfig[i].getConstructor());
            }
        }
            if (true == speakerConfig.isSelected()) {
                Constructor_template.setItem1("Constructor", speakerConfig.getConstructor());
            }
            if (true == arduinoConfig.isSelected()) {
                Constructor_template.setItem1("Constructor", arduinoConfig.getConstructor());
            }
        for (int i = 0; i < 10; i++) {
            if (true == analogConfig[i].isSelected()) {
                Constructor_template.setItem1("Constructor", analogConfig[i].getConstructor());
            }
        }
        int UseDataReproducerIndex = 0;
        for (int i = 10; i < analogConfig.length; i++) {
            if (true == analogConfig[i].isSelected()) {
                UseDataReproducerIndex = i;
            }
        }
        if (0 != UseDataReproducerIndex) {
            Constructor_template.setItem1("Constructor", analogConfig[UseDataReproducerIndex].getConstructor());
        }
        // `シリアル機器のコンストラクタ
        for (int i = 0; i < serialConfig.length; i++) {
            if (true == serialConfig[i].isSelected()) {
                Constructor_template.setItem1("Constructor", serialConfig[i].getConstructor(i)); // 引数として、自身のパネル番号が必要
            }
        }
        
        // コンストラクタ部の生成
        if (0 != Constructor_template.getListSize()) {
            Constructor_template.setList("NewList");
            System.out.print(Constructor_template.toString());
            sb.append(Constructor_template.toString());
        }
        
        Variables_template = new LoopTmpl("template/Variables.tmpl");

        for (int i = 0; i < digitalConfig.length; i++) {
            if (true == digitalConfig[i].isSelected()) {
                String deviceName       = digitalConfig[i].getDeviceName();
                Variables_template.setItem2("name", deviceName + " " + deviceName.toLowerCase(),
                                            "number", new Integer(digitalConfig[i].getPinNo()).toString());
            }
        }
            if (true == speakerConfig.isSelected()) {
                String deviceName       = speakerConfig.getDeviceName();
                Variables_template.setItem2("name", deviceName + " " + deviceName.toLowerCase(),
                                            "number", new Integer(speakerConfig.getPinNo()).toString());
            }

            if (true == arduinoConfig.isSelected()) {
                String deviceName       = arduinoConfig.getDeviceName();
                Variables_template.setItem2("name", deviceName + " " + deviceName.toLowerCase(),
                                            "number", new Integer(arduinoConfig.getPinNo()).toString());
            }

        for (int i = 0; i < 10; i++) {
            if (true == analogConfig[i].isSelected()) {
                String deviceName       = analogConfig[i].getDeviceName();
                Variables_template.setItem2("name", deviceName + " " + deviceName.toLowerCase(),
                                            "number", new Integer(analogConfig[i].getPinNo()).toString());
            }
        }

        UseDataReproducerIndex = 0;
        for (int i = 10; i < analogConfig.length; i++) {
            if (true == analogConfig[i].isSelected()) {
                UseDataReproducerIndex = i;
            }
        }
        if (0 != UseDataReproducerIndex) {
            Variables_template.setItem2("name", "DataReproducer data_reproducer",
                                            "number", "");
        }

        for (int i = 0; i < serialConfig.length; i++) {
            if (true == serialConfig[i].isSelected()) {
                String deviceName       = serialConfig[i].getDeviceName();
                if (deviceName.equals("Serial")) {
                    Variables_template.setItem2("name", "SerialConsole Serial",
                                                "number", "");
                } else if (deviceName.equals("SevenSegmentDisplay")) {
                    Variables_template.setItem2("name", "SevenSegmentDisplay[] ssd",
                                                "number", new Integer(i).toString());
                } else if (deviceName.equals("NixieTube")) {
                    Variables_template.setItem2("name", "NixieTube[] nixie",
                                                "number", new Integer(i).toString());
                } else if (deviceName.equals("Lcd0802")) {
                    Variables_template.setItem2("name", "Lcd lcd",
                                                "number", new Integer(i).toString());
                } else if (deviceName.equals("Lcd1602")) {
                    Variables_template.setItem2("name", "Lcd lcd",
                                                "number", new Integer(i).toString());
                } else if (deviceName.equals("Lcd1608")) {
                    Variables_template.setItem2("name", "Lcd lcd",
                                                "number", new Integer(i).toString());
                } else if (deviceName.equals("Lcd2004")) {
                    Variables_template.setItem2("name", "Lcd lcd",
                                                "number", new Integer(i).toString());
                } else if (deviceName.equals("Duke")) {
                    Variables_template.setItem2("name", "Duke duke",
                                                "number", new Integer(i).toString());
                } else if (deviceName.equals("Droid")) {
                    Variables_template.setItem2("name", "Droid droid",
                                                "number", new Integer(i).toString());  
                }
            }
        }

        // 変数定義部のデータをセットする。
        if (0 != Variables_template.getListSize()) {
            Variables_template.setList("VarList");
            System.out.print(Variables_template.toString());
            sb.append(Variables_template.toString());
        }        
        codeEditorPanel.setText(sb.toString());        
    }//GEN-LAST:event_CodeGenerationButtonActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(EmuduinoDesigner.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(EmuduinoDesigner.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(EmuduinoDesigner.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(EmuduinoDesigner.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new EmuduinoDesigner().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton CodeGenerationButton;
    private javax.swing.JPanel ConfigurationListPanel;
    private javax.swing.JLabel ProgramNameLabel;
    private javax.swing.JTextField ProgramNameTextField;
    private javax.swing.JMenuItem aboutMenuItem;
    private javax.swing.JPanel analogPanel;
    private javax.swing.JPanel basePanel;
    private javax.swing.JPanel buttonPanel;
    private javax.swing.JSplitPane centerSplitPane;
    private javax.swing.JEditorPane codeEditorPanel;
    private javax.swing.JScrollPane codeScrollPaneｌ;
    private javax.swing.JMenuItem contentsMenuItem;
    private javax.swing.JMenuItem copyMenuItem;
    private javax.swing.JMenuItem cutMenuItem;
    private javax.swing.JMenuItem deleteMenuItem;
    private javax.swing.JPanel digitalPanel;
    private javax.swing.JMenu editMenu;
    private javax.swing.JMenuItem exitMenuItem;
    private javax.swing.JMenu fileMenu;
    private javax.swing.JMenu helpMenu;
    private javax.swing.JScrollPane mainScrollPanel;
    private javax.swing.JMenuBar menuBar;
    private javax.swing.JMenuItem openMenuItem;
    private javax.swing.JMenuItem pasteMenuItem;
    private javax.swing.JMenuItem saveAsMenuItem;
    private javax.swing.JMenuItem saveMenuItem;
    private javax.swing.JPanel serialPanel;
    // End of variables declaration//GEN-END:variables
}
