package net.triring.emuduino;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author miwa
 */
 
import java.lang.StringBuffer;
import java.awt.Font;
public class Lcd extends javax.swing.JFrame {
    String Title = "LCD SC";
    private static java.lang.StringBuffer DataBuffer;
    String[] line = new String[8];
 // javax.swing.JLabel[] lcd_line;
    javax.swing.JLabel[] lcd_line;

    int Letters = 16;
    int Lines   =  4;

  /**
   * Creates new form SerialConsole
   */
    public Lcd(int no, int x, int y, int size) {
        String paddingword = "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWW";
        initComponents();
        this.setTitle(Title + size + "-" + no);
        java.awt.Font font     = this.getFont();
        int fontsize = 12;
        switch (size) {
            case   802 : Letters =  8; Lines = 2; fontsize = font.getSize() * 2; break;
            case  1602 : Letters = 16; Lines = 2; fontsize = font.getSize() * 2; break;
            case  1608 : Letters = 16; Lines = 8; fontsize = font.getSize() * 2; break;  // NXT 画面は 16 文字 X 8 行を表示
            case  2004 : Letters = 20; Lines = 4; fontsize = font.getSize() * 2; break;
        }
        outputPanel.setLayout(new java.awt.GridLayout(Lines, 1));        
        outputPanel.setBackground(new java.awt.Color(204, 255, 153));
        java.awt.Font new_font = new java.awt.Font(java.awt.Font.MONOSPACED, java.awt.Font.BOLD, fontsize);
        lcd_line = new javax.swing.JLabel[Lines];
        for (int i = 0; i < lcd_line.length; i++) {
            lcd_line[i] = new javax.swing.JLabel(paddingword.substring(0, Letters));
            lcd_line[i].setFont(new_font);
            lcd_line[i].setBackground(new java.awt.Color(204, 255, 153));
            lcd_line[i].setAlignmentY(0.1f);
            
         // lcd_line[i].setPreferredSize(new java.awt.Dimension(fontW * Letters, fontH * 12 / 10));
         // lcd_line[i].setMinimumSize(new java.awt.Dimension(fontW * Letters + 24 * 2, fontH * Lines + 16 * 2));
            outputPanel.add(lcd_line[i]);
        }
        this.pack();
        this.setVisible(true);
        // 等幅のフォントを設定　この設定がないと、文字の縦横がそろわず見苦しい。
        java.awt.FontMetrics fm = lcd_line[0].getFontMetrics(new_font);
        int fontH = (int)(fm.getHeight());
        int fontW = fm.stringWidth("W");
        
     // lcdTextArea.setFont(new_font);
     // outputPanel.setPreferredSize(new java.awt.Dimension(fontW * Letters + 24 * 2, fontH * Lines + 16 * 4));
     // basePanel.setPreferredSize(new java.awt.Dimension(fontW * Letters + 24 * 2, fontH * Lines + 16 * 4));
     // this.setPreferredSize(new java.awt.Dimension(fontW * Letters + 24 * 2, fontH * Lines + 16 * 4));
     // this.setPreferredSize(new java.awt.Dimension(fontW * Letters + 24 * 2, fontH * Lines));
        switch (Lines) {
            case   2 : this.setPreferredSize(new java.awt.Dimension(fontW * (Letters + 4), fontH * (Lines + 2))); break;
            case   4 : this.setPreferredSize(new java.awt.Dimension(fontW * (Letters + 3), fontH *  Lines          )); break;
            case   8 : this.setPreferredSize(new java.awt.Dimension(fontW * (Letters + 3), fontH *  Lines *  8 / 10)); break;
        }
        this.setSize(fontW * Letters + 24 * 2, fontH * Lines + 16 * 2);
     // this.setSize(480, 320);
        this.pack();
        this.setVisible(true);
        this.setLocation(x, y);
    }

    // 表示可能な液晶の1行の文字数とその行数を指定して，初期化します。
    // 現在、16文字x2行,16文字x8行,20文字x4行 のLEDをサポートしています。
    // ただし，これは，互換性のために用意した関数で，実際には何もしません。
    public void begin(int column, int row) {
    }

    // 液晶の表示を消去します。
    public void clear() {
        for (int i = 0; i < lcd_line.length; i++) {
            lcd_line[i].setText("");
        }
    }

    // 液晶に英数字を表示します。
    // nで、何行目に書き込むかを指定し,表示桁数を超えた文字は切り捨てられます。
    public int print(int n, String data) {
        int len = data.length();
        String printdata = data;
        System.out.print("String printdata = " + printdata);
        if (len > Letters) {
            printdata = data.substring(0, Letters);
            len = printdata.length();
        }
        switch (n) {
            case 0: lcd_line[0].setText(printdata); break;
            case 1: lcd_line[1].setText(printdata); break;
            case 2: lcd_line[2].setText(printdata); break;
            case 3: lcd_line[3].setText(printdata); break;
            case 4: lcd_line[4].setText(printdata); break;
            case 5: lcd_line[5].setText(printdata); break;
            case 6: lcd_line[6].setText(printdata); break;
            case 7: lcd_line[7].setText(printdata); break;    
        }
        return len;
    }

  /**
   * This method is called from within the constructor to initialize the form.
   * WARNING: Do NOT modify this code. The content of this method is always
   * regenerated by the Form Editor.
   */
  @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        basePanel = new javax.swing.JPanel();
        outputPanel = new javax.swing.JPanel();
        nPanel = new javax.swing.JPanel();
        sPanel = new javax.swing.JPanel();
        ePanel = new javax.swing.JPanel();
        wPanel = new javax.swing.JPanel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("LCD SC1602");
        setPreferredSize(new java.awt.Dimension(320, 144));

        basePanel.setLayout(new java.awt.BorderLayout());

        outputPanel.setBackground(java.awt.Color.darkGray);
        outputPanel.setLayout(new java.awt.GridLayout(1, 1));
        basePanel.add(outputPanel, java.awt.BorderLayout.CENTER);

        nPanel.setBackground(new java.awt.Color(0, 0, 0));
        nPanel.setMinimumSize(new java.awt.Dimension(160, 16));
        nPanel.setName(""); // NOI18N
        nPanel.setPreferredSize(new java.awt.Dimension(160, 16));
        nPanel.setLayout(new java.awt.BorderLayout());
        basePanel.add(nPanel, java.awt.BorderLayout.NORTH);

        sPanel.setBackground(new java.awt.Color(0, 0, 0));
        sPanel.setMinimumSize(new java.awt.Dimension(160, 16));
        sPanel.setName(""); // NOI18N
        sPanel.setPreferredSize(new java.awt.Dimension(160, 16));
        sPanel.setLayout(new java.awt.BorderLayout());
        basePanel.add(sPanel, java.awt.BorderLayout.SOUTH);

        ePanel.setBackground(new java.awt.Color(0, 0, 0));
        ePanel.setMinimumSize(new java.awt.Dimension(16, 120));
        ePanel.setPreferredSize(new java.awt.Dimension(16, 120));
        ePanel.setLayout(new java.awt.BorderLayout());
        basePanel.add(ePanel, java.awt.BorderLayout.EAST);

        wPanel.setBackground(new java.awt.Color(0, 0, 0));
        wPanel.setMinimumSize(new java.awt.Dimension(16, 120));
        wPanel.setPreferredSize(new java.awt.Dimension(16, 120));
        wPanel.setLayout(new java.awt.BorderLayout());
        basePanel.add(wPanel, java.awt.BorderLayout.WEST);

        getContentPane().add(basePanel, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents

  /**
   * @param args the command line arguments
   */
  public static void main(String args[]) {
      /* Set the Nimbus look and feel */
    //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
    /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
     * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
     */
    try {
      for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
        if ("Nimbus".equals(info.getName())) {
          javax.swing.UIManager.setLookAndFeel(info.getClassName());
          break;
        }
      }
    } 
    catch (ClassNotFoundException ex) {
      java.util.logging.Logger.getLogger(Lcd.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
    } 
    catch (InstantiationException ex) {
      java.util.logging.Logger.getLogger(Lcd.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
    } 
    catch (IllegalAccessException ex) {
      java.util.logging.Logger.getLogger(Lcd.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
    } 
    catch (javax.swing.UnsupportedLookAndFeelException ex) {
      java.util.logging.Logger.getLogger(Lcd.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
    }
    //</editor-fold>

    /* Create and display the form */
    java.awt.EventQueue.invokeLater(new Runnable() {
      public void run() {
        Lcd lcd0802 = new Lcd(1, 640,   0,  802);
        lcd0802.setVisible(true);
        lcd0802.pack();
        lcd0802.print(0, "emuduino");
        lcd0802.print(1, "01234567");

        Lcd lcd1602 = new Lcd(1,   0,   0, 1602);
        lcd1602.setVisible(true);
        lcd1602.pack();
        lcd1602.print(0, "Hello emuduino !");
        lcd1602.print(1, "0123456789ABCDEF");

        Lcd lcd1608 = new Lcd(2,   0, 180, 2004);
        lcd1608.setVisible(true);
        lcd1608.pack();
        lcd1608.print(0, "Hello emuduino !    ");
        lcd1608.print(1, "0123456789ABCDEF0123");
        lcd1608.print(2, "   20chars x 4lines ");
        lcd1608.print(3, "<---  20 chars  --->");

        Lcd lcd2004 = new Lcd(3, 360,   0, 1608);
        lcd2004.setVisible(true);
        lcd2004.pack();
        lcd2004.print(0, "Hello emuduino !");
        lcd2004.print(1, "0123456789ABCDEF");
        lcd2004.print(2, "N   N X   XTTTTT");
        lcd2004.print(3, "NN NN  X X   T  ");
        lcd2004.print(4, "N N N   X    T  ");
        lcd2004.print(5, "N  NN  X X   T  ");
        lcd2004.print(6, "N   N X   X  T  ");
        lcd2004.print(7, "<-- 16 chars -->");
      }
    }
    );
  }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel basePanel;
    private javax.swing.JPanel ePanel;
    private javax.swing.JPanel nPanel;
    private javax.swing.JPanel outputPanel;
    private javax.swing.JPanel sPanel;
    private javax.swing.JPanel wPanel;
    // End of variables declaration//GEN-END:variables
}

