package net.triring.emuduino;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author miwa
 */
public class Led extends javax.swing.JFrame {
    javax.swing.ImageIcon OnImageIcon;
    javax.swing.ImageIcon OffImageIcon;

    static final int HIGH   = 0x1;
    static final int LOW    = 0x0;
    static final int INPUT  = 0x0;
    static final int OUTPUT = 0x1;
    int State = LOW;
    int No = 0;
    String Name = "none";

    /**
     * Creates new form Led
     */
    public Led(String color) {
        OnImageIcon  = new javax.swing.ImageIcon(getClass().getResource("/resources/images/led/LED-" + color + "-5mmicon_on.png"));
        OffImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/led/LED-" + color + "-5mmicon_off.png"));
        initComponents();
        imageLabel.setIcon(OffImageIcon); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" +Name));
        this.pack();
        this.setVisible(true);
    }

    public Led(int no, String name, int x, int y) {
        this.No   = no;
        this.Name = name;
        OnImageIcon  = new javax.swing.ImageIcon(getClass().getResource("/resources/images/led/LED-" + name + "-5mmicon_on.png"));
        OffImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/led/LED-" + name + "-5mmicon_off.png"));
        initComponents();
        imageLabel.setIcon(OffImageIcon); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" +Name));
        this.pack();
        this.setLocation(x, y);
        this.setVisible(true);
    }

    public Led(int no, String name, java.awt.Image onImage, java.awt.Image offImage, int x, int y) {
        this.No   = no;
        this.Name = name;
        OnImageIcon  = new javax.swing.ImageIcon( onImage);
        OffImageIcon = new javax.swing.ImageIcon(offImage);
        initComponents();
        imageLabel.setIcon(OffImageIcon); // NOI18N        
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" +Name));
        this.pack();
        this.setLocation(x, y);
        this.setVisible(true);
    }

    public int isState() {
        return State;
    }

    public void setState(int State) {
        this.State = State;
        if (HIGH == this.State) {
            imageLabel.setIcon(OnImageIcon ); // NOI18N        
            stateLabel.setText("On");
            this.setVisible(true);
        } else {
            imageLabel.setIcon(OffImageIcon); // NOI18N        
            stateLabel.setText("Off");
            this.setVisible(true);
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        basePanel = new javax.swing.JPanel();
        imageLabel = new javax.swing.JLabel();
        stateLabel = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        basePanel.setLayout(new java.awt.BorderLayout());

        imageLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
//      imageLabel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/led/LED-red-5mmicon_off.png"))); // NOI18N
        basePanel.add(imageLabel, java.awt.BorderLayout.CENTER);

        stateLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        stateLabel.setText("Off");
        basePanel.add(stateLabel, java.awt.BorderLayout.SOUTH);

        getContentPane().add(basePanel, java.awt.BorderLayout.PAGE_START);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Led.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Led.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Led.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Led.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            Led   red;
            Led   orange;
            Led   yellow;
            Led   green;
            Led   cyan;
            Led   blue;
            Led   magenta;
            Led   pink;
            Led   white;

            public void run() {
                red     = new Led("red"    );
                orange  = new Led("orange" );
                yellow  = new Led("yellow" );
                green   = new Led("green"  );
                cyan    = new Led("cyan"   );
                blue    = new Led("blue"   );
                magenta = new Led("magenta");
                pink    = new Led("pink"   );
                white   = new Led("white"  );
                    red.setVisible(true);
                 orange.setVisible(true);
                 yellow.setVisible(true);
                  green.setVisible(true);
                   cyan.setVisible(true);
                   blue.setVisible(true);
                magenta.setVisible(true);
                   pink.setVisible(true);
                  white.setVisible(true);

                    red.setLocation(   0,   0);
                 orange.setLocation( 120,   0);
                 yellow.setLocation( 240,   0);
                  green.setLocation(   0, 180);
                   cyan.setLocation( 120, 180);
                   blue.setLocation( 240, 180);
                magenta.setLocation(   0, 360);
                   pink.setLocation( 120, 360);
                  white.setLocation( 240, 360);

    
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel basePanel;
    private javax.swing.JLabel imageLabel;
    private javax.swing.JLabel stateLabel;
    // End of variables declaration//GEN-END:variables
}

