package net.triring.emuduino;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author miwa
 */
public class Switch extends javax.swing.JFrame {
    javax.swing.ImageIcon   OnPushSwitchImageIcon;
    javax.swing.ImageIcon  OffPushSwitchImageIcon;
    javax.swing.ImageIcon  OnSlideSwitchImageIcon;
    javax.swing.ImageIcon OffSlideSwitchImageIcon;
    static final int HIGH   = 0x1;
    static final int LOW    = 0x0;
    static final int INPUT  = 0x0;
    static final int OUTPUT = 0x1;

    int State = LOW;
    int No = 0;
    String Name = "none";

    public int isState() {
        return State;
    }   

    /*
SlideSwitch  On  On  Off Off
 PushSwitch  On  Off On  Off
最終の状態   On  On  On  Off
     */
    
    public void setState(int State) {
        this.State = State;
        if (HIGH == this.State) {
            SlideSwitchToggleButton.setSelected(true);  
            SlideSwitchToggleButton.setIcon(OnSlideSwitchImageIcon);
                   PushSwitchButton.setIcon(OnPushSwitchImageIcon);
            stateLabel.setText("On");
        } else {
            SlideSwitchToggleButton.setSelected(false);  
            SlideSwitchToggleButton.setIcon(OffSlideSwitchImageIcon);
                   PushSwitchButton.setIcon(OffPushSwitchImageIcon);
            stateLabel.setText("Off");
        }
    }

    /**
     * Creates new form Switch
     */
    public Switch() {
          OnPushSwitchImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/switch/PushSwitchOn.png"));
         OffPushSwitchImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/switch/PushSwitchOff.png"));
         OnSlideSwitchImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/switch/SlideSwitchOn.png"));
        OffSlideSwitchImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/switch/SlideSwitchOff.png"));
        initComponents();
        PushSwitchButton.setIcon(OffPushSwitchImageIcon); // NOI18N        
        SlideSwitchToggleButton.setIcon(OffSlideSwitchImageIcon); // NOI18N 
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" +Name));
        this.pack();
    }
    /**
     * Creates new form Switch
     */
    public Switch(int no, String name, int x, int y) {
       this.No   = no;
       this.Name = name;
          OnPushSwitchImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/switch/PushSwitchOn.png"));
         OffPushSwitchImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/switch/PushSwitchOff.png"));
         OnSlideSwitchImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/switch/SlideSwitchOn.png"));
        OffSlideSwitchImageIcon = new javax.swing.ImageIcon(getClass().getResource("/resources/images/switch/SlideSwitchOff.png"));
        initComponents();
        PushSwitchButton.setIcon(OffPushSwitchImageIcon); // NOI18N        
        SlideSwitchToggleButton.setIcon(OffSlideSwitchImageIcon); // NOI18N 
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" +Name));
        this.pack();
        this.setLocation(x, y);
        this.setVisible(true);
    }

    /**
     * Creates new form Switch
     */
    public Switch(int no, String name,
            java.awt.Image onPushSwitchImage,  java.awt.Image offPushSwitchImage,    
            java.awt.Image onSlideSwitchImage, java.awt.Image offSlideSwitchImage,
            int x, int y) {
       this.No   = no;
       this.Name = name;
        OnPushSwitchImageIcon = new javax.swing.ImageIcon( onPushSwitchImage);
         OffPushSwitchImageIcon = new javax.swing.ImageIcon(offPushSwitchImage);
         OnSlideSwitchImageIcon = new javax.swing.ImageIcon( onSlideSwitchImage);
        OffSlideSwitchImageIcon = new javax.swing.ImageIcon(offSlideSwitchImage);
        initComponents();
        PushSwitchButton.setIcon(OffPushSwitchImageIcon); // NOI18N        
        SlideSwitchToggleButton.setIcon(OffSlideSwitchImageIcon); // NOI18N 
        stateLabel.setText("Off");
        basePanel.setBorder(javax.swing.BorderFactory.createTitledBorder(No + ":" +Name));
        this.pack();
        this.setLocation(x, y);
        this.setVisible(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        basePanel = new javax.swing.JPanel();
        stateLabel = new javax.swing.JLabel();
        buttonPanel = new javax.swing.JPanel();
        SlideSwitchToggleButton = new javax.swing.JToggleButton();
        PushSwitchButton = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        basePanel.setLayout(new java.awt.BorderLayout());

        stateLabel.setFont(new java.awt.Font("MS UI Gothic", 0, 24)); // NOI18N
        stateLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        basePanel.add(stateLabel, java.awt.BorderLayout.PAGE_START);

        buttonPanel.setLayout(new java.awt.GridLayout(2, 1));

        SlideSwitchToggleButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/switch/SlideSwitchOff.png"))); // NOI18N
        SlideSwitchToggleButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        SlideSwitchToggleButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SlideSwitchToggleButtonActionPerformed(evt);
            }
        });
        buttonPanel.add(SlideSwitchToggleButton);

        PushSwitchButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/images/switch/PushSwitchOff.png"))); // NOI18N
        PushSwitchButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        PushSwitchButton.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                PushSwitchButtonMouseReleased(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                PushSwitchButtonMousePressed(evt);
            }
        });
        PushSwitchButton.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                PushSwitchButtonKeyPressed(evt);
            }
            public void keyReleased(java.awt.event.KeyEvent evt) {
                PushSwitchButtonKeyReleased(evt);
            }
        });
        buttonPanel.add(PushSwitchButton);

        basePanel.add(buttonPanel, java.awt.BorderLayout.CENTER);

        getContentPane().add(basePanel, java.awt.BorderLayout.PAGE_END);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void SlideSwitchToggleButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SlideSwitchToggleButtonActionPerformed
        if (true == SlideSwitchToggleButton.isSelected()) {
            SlideSwitchToggleButton.setIcon(OnSlideSwitchImageIcon);
            stateLabel.setText("On ");
            State = HIGH;
        } else {
            SlideSwitchToggleButton.setIcon(OffSlideSwitchImageIcon);
            stateLabel.setText("Off");
            State = LOW;
        }
    }//GEN-LAST:event_SlideSwitchToggleButtonActionPerformed

    private void PushSwitchButtonMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_PushSwitchButtonMousePressed
        PushSwitchButton.setIcon(OnPushSwitchImageIcon); // NOI18N
        if (false == SlideSwitchToggleButton.isSelected()) {
            stateLabel.setText("On ");
            State = HIGH;
        }
    }//GEN-LAST:event_PushSwitchButtonMousePressed

    private void PushSwitchButtonMouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_PushSwitchButtonMouseReleased
        PushSwitchButton.setIcon(OffPushSwitchImageIcon); // NOI18N
        if (false == SlideSwitchToggleButton.isSelected()) {
            stateLabel.setText("Off");
            State = LOW;
        }
    }//GEN-LAST:event_PushSwitchButtonMouseReleased

    private void PushSwitchButtonKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_PushSwitchButtonKeyPressed
        PushSwitchButton.setIcon(OnPushSwitchImageIcon); // NOI18N
        if (false == SlideSwitchToggleButton.isSelected()) {
            stateLabel.setText("On ");
            State = HIGH;
        }
    }//GEN-LAST:event_PushSwitchButtonKeyPressed

    private void PushSwitchButtonKeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_PushSwitchButtonKeyReleased
        PushSwitchButton.setIcon(OffPushSwitchImageIcon); // NOI18N
        if (false == SlideSwitchToggleButton.isSelected()) {
            stateLabel.setText("Off");
            State = LOW;
        }
           
    }//GEN-LAST:event_PushSwitchButtonKeyReleased

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Switch.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Switch.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Switch.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Switch.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Switch().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton PushSwitchButton;
    private javax.swing.JToggleButton SlideSwitchToggleButton;
    private javax.swing.JPanel basePanel;
    private javax.swing.JPanel buttonPanel;
    private javax.swing.JLabel stateLabel;
    // End of variables declaration//GEN-END:variables
}
